// Icy Cavern Shader

//general textures

textures/icycavern_general/bluetile_non
{
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/icycavern_general/bluetile_non.tga
	}
	{
		map textures/icycavern_general/goldenshiny4.tga
		tcgen environment
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
	}
	
}

textures/icycavern_general/greentile_non
{
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/icycavern_general/greentile_non.tga
	}
	{
		map textures/icycavern_general/goldenshiny4.tga
		tcgen environment
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/icycavern_general/redtile_non
{
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/icycavern_general/redtile_non.tga
	}
	{
		map textures/icycavern_general/goldenshiny4.tga
		tcgen environment
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/icycavern_general/purpletile_non
{
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/icycavern_general/purpletile_non.tga
	}
	{
		map textures/icycavern_general/goldenshiny4.tga
		tcgen environment
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/icycavern_general/glass_grey
{
	qer_editorimage "textures/icycavern_general/glass_grey.tga"
	qer_trans 0.5
	q3map_lightRGB 0.8 1 1
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceparm slick
	surfaceparm noDamage
	surfaceparm trans
	{
		map $whiteimage
		blendfunc blend
		alphaGen const 0.1
	}
	{
		map "textures/icycavern_general/tint_grey.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/icycavern_general/roof2_non:q3map
{
	q3map_lightImage "textures/icycavern_general/grey.tga"
	qer_editorImage "textures/icycavern_general/roof2_non.tga"
	surfaceParm noDamage
}

textures/icycavern_general/floor1_non:q3map
{
	q3map_lightImage "textures/icycavern_general/grey.tga"
	qer_editorImage "textures/icycavern_general/floor1_non.tga"
	surfaceParm noDamage
}

textures/icycavern_general/wall1_non:q3map
{
	q3map_lightImage "textures/icycavern_general/grey.tga"
	qer_editorImage "textures/icycavern_general/wall1_non.tga"
	surfaceParm noDamage
	surfaceParm slick
}

textures/icycavern_general/wood1_non:q3map
{
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm noDamage
	surfaceParm softWood
}

textures/icycavern_general/designwall2_sl:q3map
{
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm noDamage
	surfaceParm slick
}

textures/icycavern_general/slidefloor:q3map
{
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm noDamage
	surfaceParm metalsteps
}

textures/icycavern_general/bottom_non:q3map
{
	q3map_lightImage "textures/icycavern_general/grey.tga"
	qer_editorImage "textures/icycavern_general/bottom_non.tga"
	q3map_surfaceLight 0
	surfaceParm noDamage
}


//fireflys

textures/icycavern_general/firefly
{ 
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
      q3map_surfacelight 100
   q3map_backsplash 100 0

   DeformVertexes autosprite   
   cull none
   { 
   	tcmod rotate 10
      map textures/icycavern_general/firefly.tga
      blendfunc add
   }
}


textures/icycavern_general/firefly2
{ 
   surfaceparm nolightmap  
   surfaceparm trans 
   surfaceparm noimpact
   
   q3map_surfacelight 100
   q3map_backsplash 100 0
   DeformVertexes autosprite   
	cull none
   { 
   	tcmod rotate 20
      map textures/icycavern_general/firefly.tga
      blendfunc add
   }
}


textures/icycavern_general/firefly3
{ 
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
   q3map_surfacelight 100
   q3map_backsplash 100 0
   DeformVertexes autosprite   
	cull none
   { 
   	tcmod rotate -15
      map textures/icycavern_general/firefly.tga
      blendfunc add
   }
}

//respawner/teleporter

textures/icycavern_general/respawner1
{
	qer_editorimage "textures/icycavern_general/respawner1.tga"
	qer_trans 0.7
	surfaceparm detail
	surfaceparm nonsolid
	{
		map "textures/icycavern_general/respawner1.tga"
		tcMod scroll 0.125
	}
}

textures/icycavern_general/lava
{
    qer_editorImage textures/icycavern_general/lava_show.tga
    qer_nocarve
    q3map_globalTexture
    surfaceparm trans
    surfaceparm noimpact
	surfaceParm water
    surfaceparm nolightmap
    q3map_surfacelight 350
	// tessSize back to 96 for final 
    q3map_tessSize 10000
    cull disable
    {
        map textures/icycavern_general/lava_show.tga
        tcMod scale 0.10 0.10
        tcMod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map textures/icycavern_general/lava_desi.tga
        blendFunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/icycavern_general/water_green
{
	q3map_lightImage "textures/icycavern_general/water_green.tga"
	qer_trans 0.5
	q3map_globalTexture
	q3map_lightRGB 0 1 1
	q3map_surfaceLight 50
	q3map_lightSubdivide 512
	surfaceParm noLightmap
	surfaceParm noMarks
	surfaceParm nonSolid
	surfaceParm water
	cull disable
	deformVertexes wave 64 sin 0.25 0.25 0 0.5
	{
		map "textures/icycavern_general/water_green.tga"
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
	}
	{
		map "textures/icycavern_general/water_green.tga"
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale -0.5 -0.5
		tcMod scroll 0.025 0.025
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		RGBGen identity
	}
}

textures/icycavern_general/water_blue
{
	q3map_lightImage "textures/icycavern_general/water_blue.tga"
	qer_trans 0.5
	q3map_globalTexture
	q3map_lightRGB 0 1 1
	q3map_surfaceLight 25
	q3map_lightSubdivide 256
	surfaceParm noLightmap
	surfaceParm noMarks
	surfaceParm nonSolid
	surfaceParm water
	surfaceParm trans
	cull disable
	deformVertexes wave 64 sin 0.25 0.25 0 0.5
	{
		map "textures/icycavern_general/water_blue.tga"
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
	}
	{
		map "textures/icycavern_general/water_blue.tga"
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale -0.5 -0.5
		tcMod scroll 0.025 0.025
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		RGBGen identity
	}
}

textures/icycavern_general/water_red
{
	q3map_lightImage "textures/icycavern_general/water_red.jpg"
	qer_trans 0.5
	q3map_globalTexture
	q3map_lightRGB 0 1 1
	q3map_surfaceLight 50
	q3map_lightSubdivide 512
	surfaceParm noLightmap
	surfaceParm noMarks
	surfaceParm nonSolid
	surfaceParm water
	surfaceParm trans
	cull disable
	deformVertexes wave 64 sin 0.25 0.25 0 0.5
	{
		map "textures/icycavern_general/water_red.jpg"
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
	}
	{
		map "textures/icycavern_general/water_red.jpg"
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale -0.5 -0.5
		tcMod scroll 0.025 0.025
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		RGBGen identity
	}
}

textures/icycavern_general/water_purple
{
	q3map_lightImage "textures/icycavern_general/water_purple.tga"
	qer_trans 0.5
	q3map_globalTexture
	q3map_lightRGB 0 1 1
	q3map_surfaceLight 50
	q3map_lightSubdivide 512
	surfaceParm noLightmap
	surfaceParm noMarks
	surfaceParm nonSolid
	surfaceParm water
	cull disable
	deformVertexes wave 64 sin 0.25 0.25 0 0.5
	{
		map "textures/icycavern_general/water_purple.tga"
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
	}
	{
		map "textures/icycavern_general/water_purple.tga"
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale -0.5 -0.5
		tcMod scroll 0.025 0.025
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		RGBGen identity
	}
}



